@font-face {
    font-family: 'Vazir';
    src: url('../fonts/Pinar-VF[DSTY\,KSHD\,wght].woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Vazir';
    src: url('../fonts/Pinar-VF-FD[DSTY\,KSHD\,wght].woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
@font-face {
  font-family: 'Inter';
  src: url('../fonts/InterVariable.woff2') format('woff2-variations'),
       url('../fonts/InterVariable.woff2') format('woff2');
  font-weight: 100 900; /* بازه وزن‌ها از خیلی نازک تا ضخیم */
  font-style: normal;
  font-display: swap; /* برای بهبود performance و جلوگیری از فلش فونت */
}

:root {
    --primary-color: hsl(203, 94%, 41%);
    --secondary-color: #e0ae52;

    --btn-color: hsl(203, 90%, 45%);
    --btn-hover: hsl(203, 90%, 30%);


    --bg-color: #ffffff;
    --bg-secondary: hsl(204, 85%, 7%);
    --bg-stick: hsl(204, 85%, 7%);

    --text-color: #000000;
    --text-dis: #666666;
    --text-dis-dark: #404040;
    --text-dark: #ffffff;
    --text-dark-dis: hsl(0, 0%, 80%);
    --text-dark-lighter: #dddddd;
    --text-link: #033e63;
    
    
    --border-color: hsl(203, 94%, 20%);
    --border-Light: hsl(203, 40%, 60%);
    --border-dark: hsl(203, 80%, 10%);
    --border-hover: #e0e0e0;

    --hover-color: hsl(203, 80%, 60%);
    --shadow-color: hsl(203, 80%, 60%, 0.5);
    
    --font-main: 'Inter','Vazir', sans-serif;
    
    --header-height: 100px;
    --footer-height: 200px;
    --max-width: 75%;
    --max-width-mobile: 90%;
    --text-padding-rl: 0rem 1rem 0rem 1rem;;

    --border-radius-sm: 0.5rem;
    --border-radius-md: 1rem;
    --border-radius-lg: 3rem;

    --margin-top-botton: 5vh;
    --mobile-margin-tb: 5vh ;
    --mobile-margin-rl: 90%;
    
    --transition: all 0.2s ease-in-out;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--font-main);
    background-color: var(--bg-color);
    color: var(--text-color);
    line-height: 1.6;
    direction: ltr;
}

a {
    text-decoration: none;
    color: inherit;
}

ul {
    list-style: none;
}
.main-contents{
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}



@media (max-width: 420px) {
    :root {
        --header-height: 60px;
    }
    
    body {
        font-size: 14px;
    }
}